searchNodes=[{"doc":"API client metadata for GoogleApi.Firebase.V1beta1.","ref":"GoogleApi.Firebase.V1beta1.html","title":"GoogleApi.Firebase.V1beta1","type":"module"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.html#discovery_revision/0","title":"GoogleApi.Firebase.V1beta1.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged AvailableProjects.","ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html","title":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects","type":"module"},{"doc":"Lists each [Google Cloud Platform (GCP) Project] (https://cloud.google.com/resource-manager/reference/rest/v1/projects) that can have Firebase resources added to it.A Project will only be listed if:&lt;li&gt;The caller has sufficient [Google IAM](https://cloud.google.com/iam) permissions to call AddFirebase.&lt;/li&gt;&lt;li&gt;The Project is not already a FirebaseProject.&lt;/li&gt;&lt;li&gt;The Project is not in an Organization which has policies that prevent Firebase resources from being added.&lt;/li&gt;Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Projects to return in the response.The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to ListAvailableProjects indicating where in the set of Projects to resume listing. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html#firebase_available_projects_list/3","title":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.firebase_available_projects_list/3","type":"function"},{"doc":"API calls for all endpoints tagged Operations.","ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html","title":"GoogleApi.Firebase.V1beta1.Api.Operations","type":"module"},{"doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The name of the operation resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html#firebase_operations_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Operations.firebase_operations_get/4","type":"function"},{"doc":"API calls for all endpoints tagged Projects.","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html","title":"GoogleApi.Firebase.V1beta1.Api.Projects","type":"module"},{"doc":"Adds Firebase resources to the specified existing [Google Cloud Platform (GCP) Project] (https://cloud.google.com/resource-manager/reference/rest/v1/projects).Since a FirebaseProject is actually also a GCP Project, a FirebaseProject has the same underlying GCP identifiers (projectNumber and projectId). This allows for easy interop with Google APIs.The result of this call is an Operation. Poll the Operation to track the provisioning process by calling GetOperation until done is true. When done is true, the Operation has either succeeded or failed. If the Operation succeeded, its response is set to a FirebaseProject; if the Operation failed, its error is set to a google.rpc.Status. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation.This method does not modify any billing account information on the underlying GCP Project.To call AddFirebase, a project member or service account must have the following permissions (the IAM roles of Editor and Owner contain these permissions): firebase.projects.update, resourcemanager.projects.get, serviceusage.services.enable, and serviceusage.services.get.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server project (type: String.t) - The resource name of the GCP Project to which Firebase resources will be added, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values.After calling AddFirebase, the unique Project identifiers ( projectNumber and projectId) of the underlying GCP Project are also the identifiers of the FirebaseProject. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_firebase/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_firebase/4","type":"function"},{"doc":"Links the specified FirebaseProject with an existing Google Analytics account.Using this call, you can either:&lt;li&gt;Specify an `analyticsAccountId` to provision a new Google Analytics property within the specified account and associate the new property with the `FirebaseProject`.&lt;li&gt;Specify an existing `analyticsPropertyId` to associate the property with the `FirebaseProject`.&lt;/ul&gt;Note that when you call `AddGoogleAnalytics`:&lt;ol&gt;&lt;li&gt;The first check determines if any existing data streams in the Google Analytics property correspond to any existing Firebase Apps in the `FirebaseProject` (based on the `packageName` or `bundleId` associated with the data stream). Then, as applicable, the data streams and apps are linked. Note that this auto-linking only applies to `AndroidApps` and `IosApps`.&lt;li&gt;If no corresponding data streams are found for the Firebase Apps, new data streams are provisioned in the Google Analytics property for each of the Firebase Apps. Note that a new data stream is always provisioned for a Web App even if it was previously associated with a data stream in the Analytics property.&lt;/ol&gt;Learn more about the hierarchy and structure of Google Analyticsaccounts in the[Analyticsdocumentation](https://support.google.com/analytics/answer/9303323).The result of this call is an [`Operation`](../../v1beta1/operations).Poll the `Operation` to track the provisioning process by callingGetOperation until[`done`](../../v1beta1/operations#Operation.FIELDS.done) is `true`. When`done` is `true`, the `Operation` has either succeeded or failed. If the`Operation` succeeded, its[`response`](../../v1beta1/operations#Operation.FIELDS.response) is set toan AnalyticsDetails; if the `Operation` failed, its[`error`](../../v1beta1/operations#Operation.FIELDS.error) is set to agoogle.rpc.Status.To call `AddGoogleAnalytics`, a project member must be an Owner forthe existing `FirebaseProject` and have the[`Edit` permission](https://support.google.com/analytics/answer/2884495)for the Google Analytics account.If the `FirebaseProject` already has Google Analytics enabled, and youcall `AddGoogleAnalytics` using an `analyticsPropertyId` that's differentfrom the currently associated property, then the call will fail. Analyticsmay have already been enabled in the Firebase console or by specifying`timeZone` and `regionCode` in the call to[`AddFirebase`](../../v1beta1/projects/addFirebase).## Parameters* `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server* `parent` (*type:* `String.t`) - The resource name of the FirebaseProject to link to an existing Google Analytics account, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values.* `optional_params` (*type:* `keyword()`) - Optional parameters * `:&quot;$.xgafv&quot;` (*type:* `String.t`) - V1 error format. * `:access_token` (*type:* `String.t`) - OAuth access token. * `:alt` (*type:* `String.t`) - Data format for response. * `:callback` (*type:* `String.t`) - JSONP * `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response. * `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. * `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user. * `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks. * `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. * `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). * `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). * `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.t`) - * `opts` (*type:* `keyword()`) - Call options## Returns* `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success* `{:error, info}` on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_google_analytics/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_google_analytics/4","type":"function"},{"doc":"Requests the creation of a new AndroidApp in the specified FirebaseProject.The result of this call is an Operation which can be used to track the provisioning process. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent FirebaseProject in which to create an AndroidApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.AndroidApp.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_create/4","type":"function"},{"doc":"Gets the specified AndroidApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the AndroidApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the AndroidApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidApp{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get/4","type":"function"},{"doc":"Gets the configuration artifact associated with the specified AndroidApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the AndroidApp configuration to download, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;/config&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the AndroidApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get_config/4","type":"function"},{"doc":"Lists each AndroidApp associated with the specified FirebaseProject.The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a pageToken.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent FirebaseProject for which to list each associated AndroidApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response.The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. :pageToken (type: String.t) - Token returned from a previous call to ListAndroidApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_list/4","type":"function"},{"doc":"Updates the attributes of the specified AndroidApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the AndroidApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt;&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the parent Project's ProjectNumber (recommended) or its ProjectId. Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId.&lt;var&gt;APP_ID&lt;/var&gt;: the globally unique, Firebase-assigned identifier for the App (see appId). optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update.Note that the fields name, app_id, project_id, and package_name are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.AndroidApp.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidApp{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_patch/4","type":"function"},{"doc":"Adds a ShaCertificate to the specified AndroidApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent AndroidApp to which to add a ShaCertificate, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the AndroidApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ShaCertificate{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_create/4","type":"function"},{"doc":"Removes a ShaCertificate from the specified AndroidApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the ShaCertificate to remove from the parent AndroidApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;/sha/&lt;var&gt;SHA_HASH&lt;/var&gt;&lt;/code&gt; Refer to the ShaCertificate name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;, &lt;var&gt;APP_ID&lt;/var&gt;, and &lt;var&gt;SHA_HASH&lt;/var&gt; values.You can obtain the full resource name of the ShaCertificate from the response of ListShaCertificates or the original CreateShaCertificate. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_delete/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_delete/4","type":"function"},{"doc":"Lists the SHA-1 and SHA-256 certificates for the specified AndroidApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent AndroidApp for which to list each associated ShaCertificate, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the AndroidApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_list/4","type":"function"},{"doc":"Lists the valid Google Cloud Platform (GCP) resource locations for the specified Project (including a FirebaseProject).One of these locations can be selected as the Project's default GCP resource location, which is the geographical location where the Project's resources, such as Cloud Firestore, will be provisioned by default. However, if the default GCP resource location has already been set for the Project, then this setting cannot be changed.This call checks for any possible location restrictions for the specified Project and, thus, might return a subset of all possible GCP resource locations. To list all GCP resource locations (regardless of any restrictions), call the endpoint without specifying a unique project identifier (that is, /v1beta1/{parent=projects/-}/listAvailableLocations).To call ListAvailableLocations with a specified project, a member must be at minimum a Viewer of the Project. Calls without a specified project do not require any specific project permissions.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The FirebaseProject for which to list GCP resource locations, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values.If no unique project identifier is specified (that is, projects/-), the returned list does not take into account org-specific or project-specific location restrictions. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of locations to return in the response.The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to ListAvailableLocations indicating where in the list of locations to resume listing. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_available_locations_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_available_locations_list/4","type":"function"},{"doc":"Sets the default Google Cloud Platform (GCP) resource location for the specified FirebaseProject.This method creates an App Engine application with a default Cloud Storage bucket, located in the specified locationId. This location must be one of the available GCP resource locations.After the default GCP resource location is finalized, or if it was already set, it cannot be changed. The default GCP resource location for the specified FirebaseProject might already be set because either the underlying GCP Project already has an App Engine application or FinalizeDefaultLocation was previously called with a specified locationId. Any new calls to FinalizeDefaultLocation with a different specified locationId will return a 409 error.The result of this call is an Operation, which can be used to track the provisioning process. The response type of the Operation is google.protobuf.Empty.The Operation can be polled by its name using GetOperation until done is true. When done is true, the Operation has either succeeded or failed. If the Operation has succeeded, its response will be set to a google.protobuf.Empty; if the Operation has failed, its error will be set to a google.rpc.Status. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation.All fields listed in the request body are required.To call FinalizeDefaultLocation, a member must be an Owner of the Project.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the FirebaseProject for which the default GCP resource location will be set, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_default_location_finalize/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_default_location_finalize/4","type":"function"},{"doc":"Gets the specified FirebaseProject.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the FirebaseProject, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.FirebaseProject{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get/4","type":"function"},{"doc":"Gets the configuration artifact associated with the specified FirebaseProject, which can be used by servers to simplify initialization.Typically, this configuration is used with the Firebase Admin SDK initializeApp command.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the FirebaseProject, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/adminSdkConfig&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_admin_sdk_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_admin_sdk_config/4","type":"function"},{"doc":"Gets the Google Analytics details currently associated with the specified FirebaseProject.If the FirebaseProject is not yet linked to Google Analytics, then the response to GetAnalyticsDetails is NOT_FOUND.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the FirebaseProject, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/analyticsDetails&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_analytics_details/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_analytics_details/4","type":"function"},{"doc":"Requests the creation of a new IosApp in the specified FirebaseProject.The result of this call is an Operation which can be used to track the provisioning process. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent FirebaseProject in which to create an IosApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/iosApps&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.IosApp.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_create/4","type":"function"},{"doc":"Gets the specified IosApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the IosApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the IosApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.IosApp{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get/4","type":"function"},{"doc":"Gets the configuration artifact associated with the specified IosApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the App configuration to download, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;/config&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the IosApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.IosAppConfig{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get_config/4","type":"function"},{"doc":"Lists each IosApp associated with the specified FirebaseProject.The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a pageToken.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent FirebaseProject for which to list each associated IosApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/iosApps&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response.The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. :pageToken (type: String.t) - Token returned from a previous call to ListIosApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_list/4","type":"function"},{"doc":"Updates the attributes of the specified IosApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the IosApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt;&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the parent Project's ProjectNumber (recommended) or its ProjectId. Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId.&lt;var&gt;APP_ID&lt;/var&gt;: the globally unique, Firebase-assigned identifier for the App (see appId). optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update.Note that the fields name, appId, projectId, and bundleId are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.IosApp.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.IosApp{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_patch/4","type":"function"},{"doc":"Lists each FirebaseProject accessible to the caller.The elements are returned in no particular order, but they will be a consistent view of the Projects when additional requests are made with a pageToken.This method is eventually consistent with Project mutations, which means newly provisioned Projects and recent modifications to existing Projects might not be reflected in the set of Projects. The list will include only ACTIVE Projects.Use GetFirebaseProject for consistent reads as well as for additional Project details.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Projects to return in the response.The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to ListFirebaseProjects indicating where in the set of Projects to resume listing. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_list/3","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_list/3","type":"function"},{"doc":"Updates the attributes of the specified FirebaseProject.All query parameters are required.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the Project, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the Project's ProjectNumber (recommended) or its ProjectId. &lt;br&gt;Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update.If this list is empty, then no state will be updated. Note that the fields name, projectId, and projectNumber are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.FirebaseProject{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_patch/4","type":"function"},{"doc":"Unlinks the specified FirebaseProject from its Google Analytics account.This call removes the association of the specified FirebaseProject with its current Google Analytics property. However, this call does not delete the Google Analytics resources, such as the Google Analytics property or any data streams.These resources may be re-associated later to the FirebaseProject by calling AddGoogleAnalytics and specifying the same analyticsPropertyId. For Android Apps and iOS Apps, this call re-links data streams with their corresponding apps. However, for Web Apps, this call provisions a new data stream for each Web App.To call RemoveAnalytics, a project member must be an Owner for the FirebaseProject.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the FirebaseProject to unlink from its Google Analytics account, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_remove_analytics/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_remove_analytics/4","type":"function"},{"doc":"Lists all available Apps for the specified FirebaseProject.This is a convenience method. Typically, interaction with an App should be done using the platform-specific service, but some tool use-cases require a summary of all known Apps (such as for App selector interfaces).Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent FirebaseProject for which to list Apps, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response.The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to SearchFirebaseApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_search_apps/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_search_apps/4","type":"function"},{"doc":"Requests the creation of a new WebApp in the specified FirebaseProject.The result of this call is an Operation which can be used to track the provisioning process. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent FirebaseProject in which to create a WebApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/webApps&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.WebApp.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_create/4","type":"function"},{"doc":"Gets the specified WebApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the WebApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/webApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/webApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the WebApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.WebApp{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get/4","type":"function"},{"doc":"Gets the configuration artifact associated with the specified WebApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the WebApp configuration to download, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/webApps/&lt;var&gt;APP_ID&lt;/var&gt;/config&lt;/code&gt; &lt;br&gt; Since an &lt;var&gt;APP_ID&lt;/var&gt; is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: &lt;code&gt;projects/-/webApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; &lt;br&gt; Refer to the WebApp name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; and &lt;var&gt;APP_ID&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.WebAppConfig{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get_config/4","type":"function"},{"doc":"Lists each WebApp associated with the specified FirebaseProject.The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a pageToken.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the parent FirebaseProject for which to list each associated WebApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/webApps&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response.The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. :pageToken (type: String.t) - Token returned from a previous call to ListWebApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_list/4","type":"function"},{"doc":"Updates the attributes of the specified WebApp.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the WebApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/webApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt;&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the parent Project's ProjectNumber (recommended) or its ProjectId. Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId.&lt;var&gt;APP_ID&lt;/var&gt;: the globally unique, Firebase-assigned identifier for the App (see appId). optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update.Note that the fields name, appId, and projectId are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.WebApp.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Firebase.V1beta1.Model.WebApp{}} on success {:error, info} on failure","ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_patch/4","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.Firebase.V1beta1.","ref":"GoogleApi.Firebase.V1beta1.Connection.html","title":"GoogleApi.Firebase.V1beta1.Connection","type":"module"},{"doc":"Perform a DELETE request.See request/1 or request/2 for options definition.delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#delete/3","title":"GoogleApi.Firebase.V1beta1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request.See request!/1 or request!/2 for options definition.delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#delete!/3","title":"GoogleApi.Firebase.V1beta1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connectionReturns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.Firebase.V1beta1.Connection.html#execute/2","title":"GoogleApi.Firebase.V1beta1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request.See request/1 or request/2 for options definition.get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#get/3","title":"GoogleApi.Firebase.V1beta1.Connection.get/3","type":"function"},{"doc":"Perform a GET request.See request!/1 or request!/2 for options definition.get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#get!/3","title":"GoogleApi.Firebase.V1beta1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request.See request/1 or request/2 for options definition.head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#head/3","title":"GoogleApi.Firebase.V1beta1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request.See request!/1 or request!/2 for options definition.head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#head!/3","title":"GoogleApi.Firebase.V1beta1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connectionReturns Tesla.Env.client","ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/0","title":"GoogleApi.Firebase.V1beta1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token.Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopesReturns Tesla.Env.client","ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/1","title":"GoogleApi.Firebase.V1beta1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request.See request/1 or request/2 for options definition.options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#options/3","title":"GoogleApi.Firebase.V1beta1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request.See request!/1 or request!/2 for options definition.options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#options!/3","title":"GoogleApi.Firebase.V1beta1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request.See request/1 or request/2 for options definition.patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#patch/4","title":"GoogleApi.Firebase.V1beta1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request.See request!/1 or request!/2 for options definition.patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#patch!/4","title":"GoogleApi.Firebase.V1beta1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request.See request/1 or request/2 for options definition.post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#post/4","title":"GoogleApi.Firebase.V1beta1.Connection.post/4","type":"function"},{"doc":"Perform a POST request.See request!/1 or request!/2 for options definition.post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#post!/4","title":"GoogleApi.Firebase.V1beta1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request.See request/1 or request/2 for options definition.put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#put/4","title":"GoogleApi.Firebase.V1beta1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request.See request!/1 or request!/2 for options definition.put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#put!/4","title":"GoogleApi.Firebase.V1beta1.Connection.put!/4","type":"function"},{"doc":"Perform a request.Options:method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch]:url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl:query - a keyword list of query params, e.g. [page: 1, per_page: 100]:headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}]:body - depends on used middleware:by default it can be a binaryif using e.g. JSON encoding middleware it can be a nested mapif adapter supports it it can be a Stream with any of the above:opts - custom, per-request middleware or adapter optionsExamplesExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.Firebase.V1beta1.Connection.html#request/2","title":"GoogleApi.Firebase.V1beta1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error.This is similar to request/2 behaviour from Tesla 0.xSee request/2 for list of available options.","ref":"GoogleApi.Firebase.V1beta1.Connection.html#request!/2","title":"GoogleApi.Firebase.V1beta1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request.See request/1 or request/2 for options definition.trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#trace/3","title":"GoogleApi.Firebase.V1beta1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request.See request!/1 or request!/2 for options definition.trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Firebase.V1beta1.Connection.html#trace!/3","title":"GoogleApi.Firebase.V1beta1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Connection.html#t:option/0","title":"GoogleApi.Firebase.V1beta1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Connection.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Connection.t/0","type":"type"},{"doc":"All fields are required.Attributes locationId (type: String.t, default: nil) - Deprecated. Instead, to set a Project's default GCP resource location, call FinalizeDefaultLocation after you add Firebase resources to the GCP Project.The ID of the Project's default GCP resource location. The location must be one of the available GCP resource locations. regionCode (type: String.t, default: nil) - Deprecated. Instead, to link a Project with a Google Analytics account, call AddGoogleAnalytics after you add Firebase resources to the GCP Project.The region code (CLDR) that the account will use for Google Analytics data &lt;br&gt;For example: US, GB, or DE In Java, use com.google.i18n.identifiers.RegionCode. timeZone (type: String.t, default: nil) - Deprecated. Instead, to link a Project with a Google Analytics account, call AddGoogleAnalytics after you add Firebase resources to the GCP Project.The time zone that the account will use for Google Analytics data. &lt;br&gt;For example: America/Los_Angeles or Africa/Abidjan","ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.t/0","type":"type"},{"doc":"Attributes analyticsAccountId (type: String.t, default: nil) - The ID for the existing Google Analytics account that you want to link with the FirebaseProject.Specifying this field will provision a new Google Analytics property in your Google Analytics account and associate the new property with the FirebaseProject. analyticsPropertyId (type: String.t, default: nil) - The ID for the existing Google Analytics property that you want to associate with the FirebaseProject.","ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.t/0","type":"type"},{"doc":"Attributes databaseURL (type: String.t, default: nil) - The default Firebase Realtime Database URL. locationId (type: String.t, default: nil) - The ID of the Project's default GCP resource location. The location is one of the available GCP resource locations.This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call FinalizeDefaultLocation after you add Firebase resources to the Project. projectId (type: String.t, default: nil) - Immutable. A user-assigned unique identifier for the FirebaseProject. This identifier may appear in URLs or names for some Firebase resources associated with the Project, but it should generally be treated as a convenience alias to reference the Project. storageBucket (type: String.t, default: nil) - The default Cloud Storage for Firebase storage bucket name.","ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.t/0","type":"type"},{"doc":"Attributes analyticsProperty (type: GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.t, default: nil) - The Analytics Property object associated with the specified FirebaseProject.This object contains the details of the Google Analytics property associated with the Project. streamMappings (type: list(GoogleApi.Firebase.V1beta1.Model.StreamMapping.t), default: nil) - &lt;ul&gt; &lt;li&gt;For AndroidApps and IosApps: a map of app to streamId for each Firebase App in the specified FirebaseProject. Each app and streamId appears only once. &lt;li&gt;For WebApps: a map of app to streamId and measurementId for each WebApp in the specified FirebaseProject. Each app, streamId, and measurementId appears only once.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.t/0","type":"type"},{"doc":"Details of a Google Analytics propertyAttributes displayName (type: String.t, default: nil) - The display name of the Google Analytics property associated with the specified FirebaseProject. id (type: String.t, default: nil) - The globally unique, Google-assigned identifier of the Google Analytics property associated with the specified FirebaseProject.If you called AddGoogleAnalytics to link the FirebaseProject with a Google Analytics account, the value in this id field is the same as the ID of the property either specified or provisioned with that call to AddGoogleAnalytics.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.t/0","type":"type"},{"doc":"Details of a Firebase App for Android.Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier for the AndroidApp.This identifier should be treated as an opaque token, as the data format is not specified. displayName (type: String.t, default: nil) - The user-assigned display name for the AndroidApp. name (type: String.t, default: nil) - The resource name of the AndroidApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt;&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the parent Project's ProjectNumber (recommended) or its ProjectId. Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId.&lt;var&gt;APP_ID&lt;/var&gt;: the globally unique, Firebase-assigned identifier for the App (see appId). packageName (type: String.t, default: nil) - Immutable. The canonical package name of the Android app as would appear in the Google Play Developer Console. projectId (type: String.t, default: nil) - Immutable. A user-assigned unique identifier of the parent FirebaseProject for the AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.t/0","type":"type"},{"doc":"Configuration metadata of a single Firebase App for Android.Attributes configFileContents (type: String.t, default: nil) - The contents of the JSON configuration file. configFilename (type: String.t, default: nil) - The filename that the configuration artifact for the AndroidApp is typically saved as. &lt;br&gt;For example: google-services.json","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.t/0","type":"type"},{"doc":"The default resources associated with the Project.Attributes hostingSite (type: String.t, default: nil) - The default Firebase Hosting site name, in the format: &lt;code&gt;&lt;var&gt;PROJECT_ID&lt;/var&gt;&lt;/code&gt; Though rare, your projectId might already be used as the name for an existing Hosting site in another project (learn more about creating non-default, additional sites). In these cases, your projectId is appended with a hyphen then five alphanumeric characters to create your default Hosting site name. For example, if your projectId is myproject123, your default Hosting site name might be: myproject123-a5c16 locationId (type: String.t, default: nil) - The ID of the Project's default GCP resource location. The location is one of the available GCP resource locations.This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call FinalizeDefaultLocation after you add Firebase resources to the Project. realtimeDatabaseInstance (type: String.t, default: nil) - The default Firebase Realtime Database instance name, in the format: &lt;code&gt;&lt;var&gt;PROJECT_ID&lt;/var&gt;&lt;/code&gt; Though rare, your projectId might already be used as the name for an existing Realtime Database instance in another project (learn more about database sharding). In these cases, your projectId is appended with a hyphen then five alphanumeric characters to create your default Realtime Database instance name. For example, if your projectId is myproject123, your default database instance name might be: myproject123-a5c16 storageBucket (type: String.t, default: nil) - The default Cloud Storage for Firebase storage bucket, in the format: &lt;code&gt;&lt;var&gt;PROJECT_ID&lt;/var&gt;.appspot.com&lt;/code&gt;","ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.t/0","type":"type"},{"doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }The JSON representation for Empty is empty JSON object {}.Attributes","ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html","title":"GoogleApi.Firebase.V1beta1.Model.Empty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Empty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Empty.t/0","type":"type"},{"doc":"Attributes locationId (type: String.t, default: nil) - The ID of the Project's default GCP resource location. The location must be one of the available GCP resource locations.","ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.t/0","type":"type"},{"doc":"A high-level summary of an App.Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier for the WebApp.This identifier should be treated as an opaque token, as the data format is not specified. displayName (type: String.t, default: nil) - The user-assigned display name of the Firebase App. name (type: String.t, default: nil) - The resource name of the Firebase App, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_ID&lt;/var&gt;/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; or &lt;code&gt;projects/&lt;var&gt;PROJECT_ID&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; or &lt;code&gt;projects/&lt;var&gt;PROJECT_ID&lt;/var&gt;/webApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; platform (type: String.t, default: nil) - The platform of the Firebase App.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.t/0","type":"type"},{"doc":"A FirebaseProject is the top-level Firebase entity. It is the container for Firebase Apps, Firebase Hosting sites, storage systems (Firebase Realtime Database, Cloud Firestore, Cloud Storage buckets), and other Firebase and Google Cloud Platform (GCP) resources.You create a FirebaseProject by calling AddFirebase and specifying an existing GCP Project. This adds Firebase resources to the existing GCP Project.Since a FirebaseProject is actually also a GCP Project, a FirebaseProject has the same underlying GCP identifiers (projectNumber and projectId). This allows for easy interop with Google APIs.Attributes displayName (type: String.t, default: nil) - The user-assigned display name of the Project. name (type: String.t, default: nil) - The resource name of the Project, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the Project's ProjectNumber (recommended) or its ProjectId. &lt;br&gt;Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId. projectId (type: String.t, default: nil) - Immutable. A user-assigned unique identifier for the Project.This identifier may appear in URLs or names for some Firebase resources associated with the Project, but it should generally be treated as a convenience alias to reference the Project. projectNumber (type: String.t, default: nil) - Immutable. The globally unique, Google-assigned canonical identifier for the Project. Use this identifier when configuring integrations and/or making API calls to Firebase or third-party services. resources (type: GoogleApi.Firebase.V1beta1.Model.DefaultResources.t, default: nil) - The default Firebase resources associated with the Project.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t/0","type":"type"},{"doc":"Details of a Firebase App for iOS.Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier for the IosApp.This identifier should be treated as an opaque token, as the data format is not specified. appStoreId (type: String.t, default: nil) - The automatically generated Apple ID assigned to the iOS app by Apple in the iOS App Store. bundleId (type: String.t, default: nil) - Immutable. The canonical bundle ID of the iOS app as it would appear in the iOS AppStore. displayName (type: String.t, default: nil) - The user-assigned display name for the IosApp. name (type: String.t, default: nil) - The resource name of the IosApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt;&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the parent Project's ProjectNumber (recommended) or its ProjectId. Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId.&lt;var&gt;APP_ID&lt;/var&gt;: the globally unique, Firebase-assigned identifier for the App (see appId). projectId (type: String.t, default: nil) - Immutable. A user-assigned unique identifier of the parent FirebaseProject for the IosApp.","ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html","title":"GoogleApi.Firebase.V1beta1.Model.IosApp","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.IosApp.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.IosApp.t/0","type":"type"},{"doc":"Configuration metadata of a single Firebase App for iOS.Attributes configFileContents (type: String.t, default: nil) - The content of the XML configuration file. configFilename (type: String.t, default: nil) - The filename that the configuration artifact for the IosApp is typically saved as. &lt;br&gt;For example: GoogleService-Info.plist","ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.t/0","type":"type"},{"doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.AndroidApp.t), default: nil) - List of each AndroidApp associated with the specified FirebaseProject. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results.This token can be used in a subsequent call to ListAndroidApps to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.t/0","type":"type"},{"doc":"Attributes locations (type: list(GoogleApi.Firebase.V1beta1.Model.Location.t), default: nil) - One page of results from a call to ListAvailableLocations. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results and all available locations have been listed.This token can be used in a subsequent call to ListAvailableLocations to find more locations. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.t/0","type":"type"},{"doc":"Attributes nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results.This token can be used in a subsequent calls to ListAvailableProjects to find the next group of Projects. Page tokens are short-lived and should not be persisted. projectInfo (type: list(GoogleApi.Firebase.V1beta1.Model.ProjectInfo.t), default: nil) - The list of GCP Projects which can have Firebase resources added to them.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.t/0","type":"type"},{"doc":"Attributes nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results.This token can be used in a subsequent calls to ListFirebaseProjects to find the next group of Projects. Page tokens are short-lived and should not be persisted. results (type: list(GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t), default: nil) - One page of the list of Projects that are accessible to the caller.","ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.t/0","type":"type"},{"doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.IosApp.t), default: nil) - List of each IosApp associated with the specified FirebaseProject. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results.This token can be used in a subsequent call to ListIosApps to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.t/0","type":"type"},{"doc":"Attributes certificates (type: list(GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t), default: nil) - The list of each ShaCertificate associated with the AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.t/0","type":"type"},{"doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.WebApp.t), default: nil) - List of each WebApp associated with the specified FirebaseProject. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results.This token can be used in a subsequent call to ListWebApps to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.t/0","type":"type"},{"doc":"A GCP resource location that can be selected for a FirebaseProject.Attributes features (type: list(String.t), default: nil) - Products and services that are available in the GCP resource location. locationId (type: String.t, default: nil) - The ID of the GCP resource location. It will be one of the available GCP resource locations. type (type: String.t, default: nil) - Indicates whether the GCP resource location is a regional or multi-regional location for data replication.","ref":"GoogleApi.Firebase.V1beta1.Model.Location.html","title":"GoogleApi.Firebase.V1beta1.Model.Location","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Location.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Location.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Location.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Location.t/0","type":"type"},{"doc":"This is proto2's version of MessageSet.Attributes","ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet.t/0","type":"type"},{"doc":"This resource represents a long-running operation that is the result of a network API call.Attributes done (type: boolean(), default: nil) - If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available. error (type: GoogleApi.Firebase.V1beta1.Model.Status.t, default: nil) - The error result of the operation in case of failure or cancellation. metadata (type: map(), default: nil) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. name (type: String.t, default: nil) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}. response (type: map(), default: nil) - The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.","ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html","title":"GoogleApi.Firebase.V1beta1.Model.Operation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Operation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Operation.t/0","type":"type"},{"doc":"A reference to a Google Cloud Platform (GCP) Project.Attributes displayName (type: String.t, default: nil) - The user-assigned display name of the GCP Project, for example: My App locationId (type: String.t, default: nil) - The ID of the Project's default GCP resource location. The location is one of the available GCP resource locations.Not all Projects will have this field populated. If it is not populated, it means that the Project does not yet have a default GCP resource location. To set a Project's default GCP resource location, call FinalizeDefaultLocation after you add Firebase resources to the Project. project (type: String.t, default: nil) - The resource name of the GCP Project to which Firebase resources can be added, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values.","ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.t/0","type":"type"},{"doc":"Attributes analyticsPropertyId (type: String.t, default: nil) - Optional. The ID of the Google Analytics property associated with the specified FirebaseProject. &lt;ul&gt; &lt;li&gt;If not set, then the Google Analytics property that is currently associated with the specified FirebaseProject is removed. &lt;/li&gt; &lt;li&gt;If set, and the specified FirebaseProject is currently associated with a different Google Analytics property, then the response is a 412 Precondition Failed error. &lt;/li&gt; &lt;/ul&gt;","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.t/0","type":"type"},{"doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.t), default: nil) - One page of results from a call to SearchFirebaseApps. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned.This token can be used in a subsequent calls to SearchFirebaseApps to find the next group of Apps. Page tokens are short-lived and should not be persisted.","ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.t/0","type":"type"},{"doc":"A SHA-1 or SHA-256 certificate associated with the AndroidApp.Attributes certType (type: String.t, default: nil) - The type of SHA certificate encoded in the hash. name (type: String.t, default: nil) - The resource name of the ShaCertificate for the AndroidApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;/sha/&lt;var&gt;SHA_HASH&lt;/var&gt;&lt;/code&gt;&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the parent Project's ProjectNumber (recommended) or its ProjectId. Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId.&lt;var&gt;APP_ID&lt;/var&gt;: the globally unique, Firebase-assigned identifier for the App (see appId).&lt;var&gt;SHA_HASH&lt;/var&gt;: the certificate hash for the App (see shaHash). shaHash (type: String.t, default: nil) - The certificate hash for the AndroidApp.","ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t/0","type":"type"},{"doc":"The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details.You can find out more about this error model and how to work with it in the API Design Guide.Attributes code (type: integer(), default: nil) - The status code, which should be an enum value of google.rpc.Code. details (type: list(map()), default: nil) - A list of messages that carry the error details. There is a common set of message types for APIs to use. message (type: String.t, default: nil) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Firebase.V1beta1.Model.Status.html","title":"GoogleApi.Firebase.V1beta1.Model.Status","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.Status.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Status.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.Status.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Status.t/0","type":"type"},{"doc":"Wire-format for a Status objectAttributes canonicalCode (type: integer(), default: nil) - The canonical error code (see codes.proto) that most closely corresponds to this status. May be missing. code (type: integer(), default: nil) - Numeric code drawn from the space specified below. Often, this is the canonical error space, and code is drawn from google3/util/task/codes.proto message (type: String.t, default: nil) - Detail message messageSet (type: GoogleApi.Firebase.V1beta1.Model.MessageSet.t, default: nil) - message_set associates an arbitrary proto message with the status. payload (type: GoogleApi.Firebase.V1beta1.Model.TypedMessage.t, default: nil) - DEPRECATED.This field was deprecated in 2011 with cl/20297133. Java support for the field was moved to a proto1 backward compatibility class in April 2017 with cl/142615857 and cl/154123203. There was never support for this field in Go; if set Go will ignore it. C++ stopped setting StatusProto::payload in October 2015 with cl/106347055, and stopped reading the field in October 2017 with cl/173324114. In general, newly written code should use only &quot;message_set&quot;. If you need to maintain backward compatibility with code written before 3/25/2011, do the following:During the transition period, either (1) set both &quot;payload&quot; and &quot;message_set&quot;, or (2) write the consumer of StatusProto so that it can forge a MessageSet object from &quot;payload&quot; if &quot;message_set&quot; is missing. The C++ util::Status implementation does (2).Once all the consumers are converted to accept &quot;message_set&quot;, then remove the use of &quot;payload&quot; on the producer side. space (type: String.t, default: nil) - The following are usually only present when code != 0 Space to which this status belongs","ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto.t/0","type":"type"},{"doc":"A mapping of a Firebase App to a Google Analytics data streamAttributes app (type: String.t, default: nil) - The resource name of the Firebase App associated with the Google Analytics data stream, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/androidApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; or &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/iosApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; or &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/webApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt; Refer to the FirebaseProject name field for details about &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; values. measurementId (type: String.t, default: nil) - Applicable for Firebase Web Apps only.The unique Google-assigned identifier of the Google Analytics web stream associated with the Firebase Web App. Firebase SDKs use this ID to interact with Google Analytics APIs. Learn more about this ID and Google Analytics web streams in the Analytics documentation. streamId (type: String.t, default: nil) - The unique Google-assigned identifier of the Google Analytics data stream associated with the Firebase App.Learn more about Google Analytics data streams in the Analytics documentation.","ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.t/0","type":"type"},{"doc":"Message that groups a protocol type_id (as defined by MessageSet), with an encoded message of that type. Its use is similar to MessageSet, except it represents a single (type, encoded message) instead of a set.To embed &quot;proto&quot; inside &quot;typed_msg&quot;: MyProtoMessage proto; TypedMessage typed_msg; typed_msg.set_type_id(proto2::bridge::GetTypeId(proto)); proto.AppendToCord(typed_msg.mutable_message());Error handling is omitted from the sample code above. GetTypeId() will return 0 for messages that don't have a TypeId specified.Attributes message (type: String.t, default: nil) - Message bytes. typeId (type: integer(), default: nil) - Identifier for the type.","ref":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.html","title":"GoogleApi.Firebase.V1beta1.Model.TypedMessage","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.t/0","type":"type"},{"doc":"Details of a Firebase App for the web.Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier for the WebApp.This identifier should be treated as an opaque token, as the data format is not specified. appUrls (type: list(String.t), default: nil) - The URLs where the WebApp is hosted. displayName (type: String.t, default: nil) - The user-assigned display name for the WebApp. name (type: String.t, default: nil) - The resource name of the WebApp, in the format: &lt;code&gt;projects/&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;/webApps/&lt;var&gt;APP_ID&lt;/var&gt;&lt;/code&gt;&lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt;: the parent Project's ProjectNumber (recommended) or its ProjectId. Learn more about using project identifiers in Google's AIP 2510 standard. &lt;br&gt;Note that the value for &lt;var&gt;PROJECT_IDENTIFIER&lt;/var&gt; in any response body will be the ProjectId.&lt;var&gt;APP_ID&lt;/var&gt;: the globally unique, Firebase-assigned identifier for the App (see appId). projectId (type: String.t, default: nil) - Immutable. A user-assigned unique identifier of the parent FirebaseProject for the WebApp.","ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html","title":"GoogleApi.Firebase.V1beta1.Model.WebApp","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.WebApp.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.WebApp.t/0","type":"type"},{"doc":"Configuration metadata of a single Firebase App for the web.Attributes apiKey (type: String.t, default: nil) - The API key associated with the WebApp. appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier for the WebApp. authDomain (type: String.t, default: nil) - The domain Firebase Auth configures for OAuth redirects, in the format: &lt;code&gt;&lt;var&gt;PROJECT_ID&lt;/var&gt;.firebaseapp.com&lt;/code&gt; databaseURL (type: String.t, default: nil) - The default Firebase Realtime Database URL. locationId (type: String.t, default: nil) - The ID of the Project's default GCP resource location. The location is one of the available GCP resource locations.This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call FinalizeDefaultLocation after you add Firebase resources to the Project. measurementId (type: String.t, default: nil) - This field will no longer be provided here. Instead, use GetAnalyticsDetails messagingSenderId (type: String.t, default: nil) - The sender ID for use with Firebase Cloud Messaging. projectId (type: String.t, default: nil) - Immutable. A user-assigned unique identifier for the FirebaseProject. storageBucket (type: String.t, default: nil) - The default Cloud Storage for Firebase storage bucket name.","ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.t/0","type":"type"}]